<?PHP
/*
#######################################################################
#  um-Bestellformular Skript V1.00                                    #
#  zur freien Verwendung, d. h. keinerlei Lizenzen oder Copyright     #
#  der backlink soll aber sein!                                       #
#  Auf jeden Fall aber diesen Tag im XHTML Template einbinden:        #
#  <meta name="Generator" content="script by http://um-fritz.de" />   #
#  Danke und viel Erfolg!                                             #
#  http://um-fritz.de                                                 #
#######################################################################
Dieses Skript ermglicht das Verndern der Zugangsdaten und speichert diese
in /um-data/logindata.php5
*/
$pfad = $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['SCRIPT_NAME']);
$pfad = str_replace("um-admin", "", $pfad);
$uri_pfad = str_replace("um-admin/logedit.php5", "", $_SERVER['SCRIPT_NAME']);
if (file_exists($pfad."/um-data/logindata.php5")) {
  include_once $pfad."um-login/auth.php";
}
include_once $pfad."um-skript/autoload.php5";
if ($_SERVER['REQUEST_METHOD'] == "POST") {
  $_POST = CleanPostData::trimQuotes($_POST);
  $_POST = CleanPostData::erase_Sl_BSl($_POST);
  $_POST = CleanPostData::erase_T_R_N($_POST);
  if (strlen($_POST['user']) < 4 || strlen($_POST['pass1']) < 4 || strlen($_POST['pass2']) < 4) {
    $logedit_msg = "<p id=\"formmsg\" class=\"error\">Fehler: Benutzername oder Passwort krzer als 4 Zeichen.</p>";
  } elseif (strlen($_POST['user']) > 10 || strlen($_POST['pass1']) > 10 || strlen($_POST['pass2']) > 10) {
    $logedit_msg = "<p id=\"formmsg\" class=\"error\">Fehler: Benutzername oder Passwort lnger als 10 Zeichen.</p>";
  } elseif ($_POST['user'] == $_POST['pass1'] || $_POST['user'] == $_POST['pass2']) {
    $logedit_msg = "<p id=\"formmsg\" class=\"error\">Fehler: Benutzername und Passwort identisch.</p>";
  } elseif (stristr($_POST['user'], " ") || stristr($_POST['pass1'], " ") || stristr($_POST['pass2'], " ")) {
    $logedit_msg = "<p id=\"formmsg\" class=\"error\">Fehler: Benutzername oder Passwort enthalten Leerzeichen.</p>";
  } elseif ($_POST['pass1'] != $_POST['pass2']) {
    $logedit_msg = "<p id=\"formmsg\" class=\"error\">Fehler: Die Passwortwiederholung war fehlerhaft.</p>";
  } else {
    $data .= "<?PHP\n";
    $data .= "define(\"USER\", \"".$_POST['user']."\");\n";
    $data .= "define(\"PASS\", \"".md5($_POST['pass1'])."\");\n";
    $data .= "?>";
    $save = new Save($data, $pfad."um-data/logindata.php5");
    if ( (bool) $save->saved === false) {
    $logedit_msg = "<p id=\"formmsg\" class=\"error\">Fehler: Daten nicht gespeichert.</p>";
    } else {
    $logedit_msg = "<p id=\"formmsg\" class=\"confirm\">Daten wurden gespeichert.</p>";
    $_POST['pass2'] = "";
    }
  }
} else { #Request bei GET
  $logedit_msg = "<p id=\"formmsg\">Bitte Benutzernamen und Passwort eingeben, sowie das Passwort wiederholen.</p>";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de-DE" lang="de-DE">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <meta name="robots" content="noindex, nofollow" />
    <meta http-equiv="Content-Script-Type" content="text/javascript" />
    <meta name="Generator" content="script by http://um-fritz.de" />  
    <link rel="stylesheet" media="screen"  type="text/css"     href="../um-config/um-admin_main.css" />
    <style type="text/css">
    p.text_right {
      width:22em;
    }
    </style>
    <title>Zugangsdaten festlegen</title>
  </head>
  <body>
    <h1>Zugangsdaten festlegen</h1>
    <?PHP echo $logedit_msg ?>
    <form action="" method="post">
      <fieldset>
        <legend>Neue Zugangsdaten:</legend>
        <p class="text_right">
          <label for="user">Neuer Benutzername</label>
          <input id="user" type="text" name="user" maxlength="10" value="<?PHP echo $_POST['user'] ?>" />
        </p>
        <p class="text_right">
          <label for="user">Neues Passwort</label>
          <input id="pass1" type="text" name="pass1" maxlength="10" value="<?PHP echo $_POST['pass1'] ?>" />
        </p>
        <p class="text_right">
          <label for="user">Passwort wiederholen</label>
          <input id="pass2" type="text" name="pass2" maxlength="10" value="<?PHP echo $_POST['pass2'] ?>" />
        </p>
      </fieldset>
      <p id="submit"><input type="submit" name="senden" id="senden" value="senden" /></p>
    </form>
  </body>
</html>