<?PHP
/*
#######################################################################
#  um-Bestellformular Skript V1.00                                    #
#  zur freien Verwendung, d. h. keinerlei Lizenzen oder Copyright     #
#  der backlink soll aber sein!                                       #
#  Auf jeden Fall aber diesen Tag im XHTML Template einbinden:        #
#  <meta name="Generator" content="script by http://um-fritz.de" />   #
#  Danke und viel Erfolg!                                             #
#  http://um-fritz.de                                                 #
#######################################################################
Diese Klasse enthlt Funktionen um Daten von unerwnschten Inhalten zu
subern.
*/
#Parameter: $data (str) oder (array)
#trimQuotes($data)   subert $data von Quotes, timmt li & re und bei
#Magic Quotes on werden die Slashes entfernt
#erase_T_R_N($data)  subert $data von Steuerzeichen
#erase_Sl_Bsl($data) subert $data von \ und /
#stripTagsMinusStrongEm($data) entfernt Tags aus $data bis aus <em> uns <strong>
#stripMailHeader() entfernt: content-type: bcc: cc: to: from: aus $data
#Return: $data
abstract class CleanPostData {
  static function trimQuotes($data) {
    if (is_array($data)) {
      foreach ($data as $k => $w) {
        $data[$k] = trim($data[$k]);
        if(get_magic_quotes_gpc()) {  // wenn magic_quotes an, dann strip slashes
          $data[$k] = stripslashes($data[$k]);
        }
        $data[$k] = str_replace("\"", "", $data[$k]);
        $data[$k] = str_replace("'",  "", $data[$k]);
      }
    } else {
      if(get_magic_quotes_gpc()) {  // wenn magic_quotes an, dann strip slashes
        $data = stripslashes($data);
      }
      $data = str_replace("\"", "", $data);
      $data = str_replace("'",  "", $data);
    }
    return($data);
  }
  static function erase_T_R_N($data) {
    if(is_array($data)) {
      foreach($data as $k => $w) {
        $data[$k] = str_replace("\t", "", $data[$k]);
        $data[$k] = str_replace("\r", "", $data[$k]);
        $data[$k] = str_replace("\n", "", $data[$k]);
      }
    } else {
      $data = str_replace("\t", "", $data);
      $data = str_replace("\r", "", $data);
      $data = str_replace("\n", "", $data);
    }
    return($data);
  }
  static function erase_Sl_BSl($data) {
    if(is_array($data)) {
      foreach($data as $k => $w) {
        $data[$k] = str_replace("\\", "", $data[$k]);
        $data[$k] = str_replace("/",  "", $data[$k]);
      }
    } else {
      $data = str_replace("/",  "", $data);
      $data = str_replace("\\", "", $data);
    }
    return($data);
  }
  static function stripTagsMinusStrongEm($data) {
    if(is_array($data)) {
      foreach($data as $k => $w) {
        $data[$k] = strip_tags($data[$k], '<strong><em>');
      }
    } else {
      $data = strip_tags($data, '<strong><em>');
    }
    return($data);
  }
  static function stripMailHeader($data) {
    if(is_array($data)) {
      foreach($data as $k => $w) {
        $data[$k] = preg_replace("@\"|\'|content-type:|bcc:|cc:|to:|from:@im", "", $data[$k]);
      }
    } else {
      $data = preg_replace("@\"|\'|content-type:|bcc:|cc:|to:|from:@im", "", $data);
    }
    return($data);
  }  
}
?>