<?PHP
/*
#######################################################################
#  um-Bestellformular Skript V1.00                                    #
#  zur freien Verwendung, d. h. keinerlei Lizenzen oder Copyright     #
#  der backlink soll aber sein!                                       #
#  Auf jeden Fall aber diesen Tag im XHTML Template einbinden:        #
#  <meta name="Generator" content="script by http://um-fritz.de" />   #
#  Danke und viel Erfolg!                                             #
#  http://um-fritz.de                                                 #
#######################################################################
Dieses Skript ermglicht das Konfigurieren des Bestellformulars
*/
$pfad = $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['SCRIPT_NAME']);
$pfad = str_replace("um-admin", "", $pfad);
$uri_pfad = str_replace("um-admin/confedit.php5", "", $_SERVER['SCRIPT_NAME']);
include_once $pfad."um-login/auth.php";
include_once $pfad."um-config/fixed_dat.php5";
include_once $pfad."um-data/configdata.php5";
include_once $pfad."um-skript/autoload.php5";
unset($error_class);
if ($_SERVER['REQUEST_METHOD'] == "POST") {
  $_POST = CleanPostData::trimQuotes($_POST);
  $_POST = CleanPostData::stripTagsMinusStrongEm($_POST);  
  $error_class = array();
  #Prfung Formulareingaben
  if (!preg_match("#^[a-z0-9\-_]?[a-z0-9.\-_]+[a-z0-9\-_]?@[a-z.-]+\.[a-z]{2,}$#i", $_POST['MAIL_TO'])) {
    $error_class['MAIL_TO'] = "error";
  }
  if(strlen($_POST['SUBJEKT']) < 4 || strlen($_POST['SUBJEKT'] > 50)) {
    $error_class['SUBJEKT'] = "error";
  }
  if($_POST['POPUP'] != "on") {
    $_POST['POPUP'] = "off";
  }
  if(!preg_match("@^\d\d$@", $_POST['POPUPBREITE']) || $_POST['POPUPBREITE'] < 30 || $_POST['POPUPBREITE'] > 90) {
    $_POST['POPUPBREITE'] = 50;
    $error_class['POPUPBREITE'] = "error";
  }
  if(!preg_match("@^\d\d$@", $_POST['POPUPHOEHE']) || $_POST['POPUPHOEHE'] < 30 || $_POST['POPUPHOEHE'] > 90) {
    $_POST['POPUPHOEHE'] = 50;
    $error_class['POPUPHOEHE'] = "error";
  }  
  if(strlen($_POST['stnd_einleitung']) < 4 || strlen($_POST['stnd_einleitung'] > 200)) {
    $error_class['stnd_einleitung'] = "error";
  }  
  if(!preg_match("@^\d\d$@", $_POST['MWST']) || $_POST['MWST'] < 15 || $_POST['MWST'] > 50) {
    $error_class['MWST'] = "error";
  }
  if($_POST['MWST_INKL'] != "on") {
    $_POST['MWST_INKL'] = "off";
  }
  if(!preg_match("@^[\d]{1,5}$@", $_POST['VERSKOST']) || $_POST['VERSKOST'] < 0) {
    $_POST['VERSKOST'] = (int) sprintf("%d", $_POST['VERSKOST']);
    $error_class['VERSKOST'] = "error";
  }
  if(strlen($_POST['LEGEND_BESTELLUNG']) < 10 || strlen($_POST['LEGEND_BESTELLUNG']) > 50) {
    $error_class['LEGEND_BESTELLUNG'] = "error";
  }
  if($_POST['ART_NUMMER_ZEIGEN'] != "on") {
    $_POST['ART_NUMMER_ZEIGEN'] = "off";
  }
  if(strlen($_POST['ART_NUMMER_PREFIX']) > 10) {
    $error_class['ART_NUMMER_PREFIX'] = "error";
  }
  if(empty($_POST['ART_NUMMER_PREFIX'])) {
    $_POST['ART_NUMMER_PREFIX'] = "";
  }
  if(strlen($_POST['LEGEND_ZAHLMETHODE']) < 10 || strlen($_POST['LEGEND_ZAHLMETHODE']) > 50) {
    $error_class['LEGEND_ZAHLMETHODE'] = "error";
  }
  if(strlen($_POST['ZAHLMETH1']) < 10 || strlen($_POST['ZAHLMETH1']) > 50) {
    $error_class['ZAHLMETH1'] = "error"; 
  }
  if(strlen($_POST['TEXT_ZAHLMETH1']) < 10 || strlen($_POST['TEXT_ZAHLMETH1']) > 250) {
    $error_class['TEXT_ZAHLMETH1'] = "error";  
  }
  if(strlen($_POST['ZAHLMETH2']) < 10 || strlen($_POST['ZAHLMETH2']) > 50) {
    $error_class['ZAHLMETH2'] = "error"; 
  }
  if(strlen($_POST['TEXT_ZAHLMETH2']) < 10 || strlen($_POST['TEXT_ZAHLMETH2']) > 250) {
    $error_class['TEXT_ZAHLMETH2'] = "error"; 
  }
  if(strlen($_POST['LEGEND_LIEFERADDY']) < 10 || strlen($_POST['LEGEND_LIEFERADDY']) > 50) {
    $error_class['LEGEND_LIEFERADDY'] = "error"; 
  }
  if(strlen($_POST['remarks']) < 5 || strlen($_POST['remarks']) > 30) {
    $error_class['remarks'] = "error";
  }
  if(strlen($_POST['LEGEND_AGBCONFIRM']) < 10 || strlen($_POST['LEGEND_AGBCONFIRM']) > 50) {
    $error_class['LEGEND_AGBCONFIRM'] = "error";
  }
  if(strlen($_POST['AGBURL']) < 10 || !preg_match("@^/[\w]+[/0-9a-z#_\+\-]+\.[htmlsp]{3,50}\d?$i@", $_POST['AGBURL'])) {
    $error_class['AGBURL'] = "error";
  }
  if(strlen($_POST['AGBLINKTEXT']) < 3 || strlen($_POST['AGBLINKTEXT']) > 50) {
    $error_class['AGBLINKTEXT'] = "error";
  }
  if(strlen($_POST['BUTTON_WEITER']) < 5 || strlen($_POST['BUTTON_WEITER']) > 30) {
    $error_class['BUTTON_WEITER'] = "error";
  }
  if(strlen($_POST['BUTTON_KORREKTUR']) < 5 || strlen($_POST['BUTTON_KORREKTUR']) > 30) {
    $error_class['BUTTON_KORREKTUR'] = "error";
  } 
  if(strlen($_POST['BUTTON_SENDEN']) < 5 || strlen($_POST['BUTTON_SENDEN']) > 30) {
    $error_class['BUTTON_SENDEN'] = "error";
  }
  if(strlen($_POST['BUTTON_VORSCHAU']) < 5 || strlen($_POST['BUTTON_VORSCHAU']) > 30) {
    $error_class['BUTTON_VORSCHAU'] = "error";
  }
  if(strlen($_POST['l_mail_back']) < 5 || strlen($_POST['l_mail_back']) > 50) {
    $error_class['l_mail_back'] = "error"; 
  }
  if(strlen($_POST['DANKE_TEXT']) < 5 || strlen($_POST['DANKE_TEXT']) > 300) {
    $error_class['DANKE_TEXT'] = "error"; 
  }
  #Wenn kein Fehler, sichern  
  if(empty($error_class)) {
    $_POST['stnd_einleitung'] = nl2br($_POST['stnd_einleitung']);
    $_POST['TEXT_ZAHLMETH1']  = nl2br($_POST['TEXT_ZAHLMETH1']);
    $_POST['TEXT_ZAHLMETH2']  = nl2br($_POST['TEXT_ZAHLMETH2']);
    $_POST['DANKE_TEXT']      = nl2br($_POST['DANKE_TEXT']);
    $data .= "<?PHP\n";
    $data .= '$umShopConfig'. " = array();\n";
    foreach ($_POST as $k => $w) {
      if ($k != "senden") {
        $data .= '$umShopConfig'."['$k'] = \"$w\";\n";
      }
    }
    $data .="?>";
    $save = new Save($data, $pfad."um-data/configdata.php5");
    #Sichern in Ordnung?
    if ( (bool) $save->saved === false) {
     $configmsg = ERRORMSG_SAVE;
    } else {
      $configmsg = CONFIRM_SAVE;
    }
  } else { # Fehler in Formulardaten
    $configmsg = ERRORMSG_ADMIN;
  }

} else { #Seite per GET
  foreach ($umShopConfig as $key => $value) {
    $_POST[$key] = $value;
    $_POST['TEXT_ZAHLMETH1'] = str_replace("<br />", "", $_POST['TEXT_ZAHLMETH1']);
    $_POST['TEXT_ZAHLMETH2'] = str_replace("<br />", "", $_POST['TEXT_ZAHLMETH2']);
    $_POST['DANKE_TEXT']     = str_replace("<br />", "", $_POST['DANKE_TEXT']);
  }
  $configmsg = MSG_ADMIN;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de-DE" lang="de-DE">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <meta name="robots" content="noindex, nofollow" />
    <meta http-equiv="Content-Script-Type" content="text/javascript" />
    <meta name="Generator" content="script by http://um-fritz.de" />  
    <link rel="stylesheet" media="screen"  type="text/css"     href="../um-config/um-admin_main.css" />
    <title>Konfiguration editieren</title>
  </head>
  <body>
    <h1>Konfiguration editieren</h1>
    <?PHP echo $configmsg; ?>
    <form action="" method="post">
      <fieldset>
        <legend>Allgemeiner Teil:</legend>
        <p class="text_right <?PHP echo $error_class['MAIL_TO'] ?>">
          <label for="MAIL_TO">Ihre E-Mail Adresse</label>
          <input id="MAIL_TO" type="text" name="MAIL_TO" maxlength="66" value="<?PHP echo $_POST['MAIL_TO'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['SUBJEKT'] ?>">
          <label for="SUBJEKT">Betreff der E-Mail vom Bestellformular</label>
          <input id="SUBJEKT" type="text" name="SUBJEKT" maxlength="50" value="<?PHP echo $_POST['SUBJEKT'] ?>" />
        </p>
        <p class="text_right">
          <label for="POPUP">Links als POPUP ffnen?</label>
          <input id="POPUP" type="checkbox" name="POPUP" class="checkbox" <?PHP if($_POST['POPUP'] == "on") {echo "checked=\"checked\"";} ?> />
        </p>
        <p class="text_right <?PHP echo $error_class['POPUPBREITE'] ?>">
          <label for="POPUPBREITE">Breite Popupfenster <small>in % des Bildschirms, 30-90</small></label>
          <input class="short" id="POPUPBREITE" type="text" name="POPUPBREITE" value="<?PHP echo $_POST['POPUPBREITE'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['POPUPHOEHE'] ?>">
          <label for="POPUPHOEHE">Hhe Popupfenster <small>in % des Bildschirms, 30-90</small></label>
          <input class="short" id="POPUPHOEHE" type="text" name="POPUPHOEHE" value="<?PHP echo $_POST['POPUPHOEHE'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['stnd_einleitung'] ?>">
          <label for="stnd_einleitung">Begrungstext Bestellformular<br /><small>Zeilenumbruch wird zu: &lt;br /&gt;</small></label>
          <textarea id="stnd_einleitung" name="stnd_einleitung" maxlength="200" rows="2" cols="30"><?PHP echo str_replace("<br />", "", $_POST['stnd_einleitung']) ?></textarea>
        </p>
      </fieldset>
      <fieldset>
        <legend>Daten fr Berechnungen:</legend>
        <p class="text_right <?PHP echo $error_class['MWST'] ?>">
          <label for="MWST">Prozentsatz der Mehrwertsteuer</label>
          <input class="short" id="MWST" type="text" name="MWST" maxlength="2" value="<?PHP echo $_POST['MWST'] ?>" />
        </p>
        <p class="text_right">
          <label for="MWST_INKL">Artikelpreise enthalten Mehrwertsteuer</label>
          <input id="MWST_INKL" type="checkbox" name="MWST_INKL" class="checkbox" <?PHP if($_POST['MWST_INKL'] == "on") {echo "checked=\"checked\"";} ?> />
        </p>        
        <p class="text_right <?PHP echo $error_class['VERSKOST'] ?>">
          <label for="VERSKOST">Versandkosten in Cent, 0 fr keine</label>
          <input class="short" id="VERSKOST" type="text" name="VERSKOST" maxlength="5" value="<?PHP echo $_POST['VERSKOST'] ?>" />
        </p>        
      </fieldset>
      <fieldset>
        <legend>Konfiguration Artikelblock:</legend>
        <p class="text_right <?PHP echo $error_class['LEGEND_BESTELLUNG'] ?>">
          <label for="LEGEND_BESTELLUNG">Text: Legende der Artikelliste</label>
          <input id="LEGEND_BESTELLUNG" type="text" name="LEGEND_BESTELLUNG" maxlength="50" value="<?PHP echo $_POST['LEGEND_BESTELLUNG'] ?>" />
        </p>
        <p class="text_right">
          <label for="ART_NUMMER_ZEIGEN">Artikelnummern anzeigen</label>
          <input id="ART_NUMMER_ZEIGEN" type="checkbox" name="ART_NUMMER_ZEIGEN" class="checkbox" <?PHP if ($_POST['ART_NUMMER_ZEIGEN'] == "on") {echo "checked=\"checked\"";} ?> />
        </p>
        <p class="text_right <?PHP echo $error_class['ART_NUMMER_PREFIX'] ?>">
          <label for="ART_NUMMER_PREFIX">Prefix fr Artikelnummern <small>oder leer</small>:</label>
          <input class="short" id="ART_NUMMER_PREFIX" type="text" name="ART_NUMMER_PREFIX" maxlength="10" value="<?PHP echo $_POST['ART_NUMMER_PREFIX'] ?>" />
        </p>
      </fieldset>
      <fieldset>
        <legend>Konfiguration Zahlmethode:</legend>
        <p class="text_right <?PHP echo $error_class['LEGEND_ZAHLMETHODE'] ?>">
          <label for="LEGEND_ZAHLMETHODE">Text: Legende der Zahlmethode</label>
          <input id="LEGEND_ZAHLMETHODE" type="text" name="LEGEND_ZAHLMETHODE" maxlength="50" value="<?PHP echo $_POST['LEGEND_ZAHLMETHODE'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['ZAHLMETH1'] ?>">
          <label for="ZAHLMETH1">Name: Zahlmethode 1</label>
          <input id="ZAHLMETH1" type="text" name="ZAHLMETH1" maxlength="50" value="<?PHP echo $_POST['ZAHLMETH1'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['TEXT_ZAHLMETH1'] ?>">
          <label for="TEXT_ZAHLMETH1">Text: Zahlmethode 1<br /> <small>Erlaubte HTML Tags: &lt;strong&gt;&lt;/strong&gt;</small></label>
          <textarea id="TEXT_ZAHLMETH1" name="TEXT_ZAHLMETH1" maxlength="250" rows="2" cols="30"><?PHP echo str_replace("<br />", "", $_POST['TEXT_ZAHLMETH1']) ?></textarea>
        </p>
        <p class="text_right <?PHP echo $error_class['ZAHLMETH2'] ?>">
          <label for="ZAHLMETH2">Name: Zahlmethode 2</label>
          <input id="ZAHLMETH2" type="text" name="ZAHLMETH2" maxlength="50" value="<?PHP echo $_POST['ZAHLMETH2'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['TEXT_ZAHLMETH2'] ?>">
          <label for="TEXT_ZAHLMETH2">Text: Zahlmethode 2<br /> <small>Erlaubte HTML Tags: &lt;strong&gt;&lt;/strong&gt;</small></label>
          <textarea id="TEXT_ZAHLMETH2" name="TEXT_ZAHLMETH2" maxlength="250" rows="2" cols="30"><?PHP echo str_replace("<br />", "", $_POST['TEXT_ZAHLMETH2']) ?></textarea>
        </p>
      </fieldset>
      <fieldset>
        <legend>Konfiguration Lieferadresse:</legend>
        <p class="text_right <?PHP echo $error_class['LEGEND_LIEFERADDY'] ?>">
          <label for="LEGEND_LIEFERADDY">Text: Legende der Lieferadresse</label>
          <input id="LEGEND_LIEFERADDY" type="text" name="LEGEND_LIEFERADDY" maxlength="50" value="<?PHP echo $_POST['LEGEND_LIEFERADDY'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['remarks'] ?>">
          <label for="remarks">Text: berschrift Textarea</label>
          <input id="remarks" type="text" name="remarks" maxlength="30" value="<?PHP echo $_POST['remarks'] ?>" />
        </p>        
      </fieldset>
      <fieldset>
        <legend>Konfiguration AGB-Besttigung:</legend>
        <p class="text_right <?PHP echo $error_class['LEGEND_AGBCONFIRM'] ?>">
          <label for="LEGEND_AGBCONFIRM">Text: Legende der AGB Besttigung</label>
          <input id="LEGEND_AGBCONFIRM" type="text" name="LEGEND_AGBCONFIRM" maxlength="50" value="<?PHP echo $_POST['LEGEND_AGBCONFIRM'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['AGBURL'] ?>">
          <label for="AGBURL">URI zur AGB, <small>relativ zum Formular /DIR/agb.html</small></label>
          <input id="AGBURL" type="text" name="AGBURL"  maxlength="50" value="<?PHP echo $_POST['AGBURL'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['AGBLINKTEXT'] ?>">
          <label for="AGBLINKTEXT">Text: Link zur AGB</label>
          <input id="AGBLINKTEXT" type="text" name="AGBLINKTEXT" maxlength="50" value="<?PHP echo $_POST['AGBLINKTEXT'] ?>" />
        </p>
      </fieldset>
      <fieldset>
        <legend>Beschriftungen der Formularbuttons:</legend>
        <p class="text_right <?PHP echo $error_class['BUTTON_WEITER'] ?>">
          <label for="BUTTON_WEITER">Button zum erstmaligen Senden:</label>
          <input id="BUTTON_WEITER" type="text" name="BUTTON_WEITER" maxlength="30" value="<?PHP echo $_POST['BUTTON_WEITER'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['BUTTON_KORREKTUR'] ?>">
          <label for="BUTTON_KORREKTUR">Button zur Eingabekorrektur:</label>
          <input id="BUTTON_KORREKTUR" type="text" name="BUTTON_KORREKTUR" maxlength="30" value="<?PHP echo $_POST['BUTTON_KORREKTUR'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['BUTTON_SENDEN'] ?>">
          <label for="BUTTON_SENDEN">Button zum Senden:</label>
          <input id="BUTTON_SENDEN" type="text" name="BUTTON_SENDEN" maxlength="30" value="<?PHP echo $_POST['BUTTON_SENDEN'] ?>" />
        </p>
        <p class="text_right <?PHP echo $error_class['BUTTON_VORSCHAU'] ?>">
          <label for="BUTTON_VORSCHAU">Button zur Eingabeaktualisierung:</label>
          <input id="BUTTON_VORSCHAU" type="text" name="BUTTON_VORSCHAU" maxlength="30" value="<?PHP echo $_POST['BUTTON_VORSCHAU'] ?>" />
        </p>
      </fieldset>
      <fieldset>
        <legend>E-Mail Besttigung:</legend>
        <p class="text_right <?PHP echo $error_class['l_mail_back'] ?>">
          <label for="l_mail_back">Text: Legende Anforderung Besttigungsmail</label>
          <input id="l_mail_back" type="text" name="l_mail_back" maxlength="50" value="<?PHP echo $_POST['l_mail_back'] ?>" />
        </p>
      </fieldset>
      <fieldset>
        <legend>Signatur Dankesseite:</legend>
        <p class="text_right <?PHP echo $error_class['DANKE_TEXT'] ?>">
          <label for="DANKE_TEXT">Text: Besttigung der Bestellung<br /> <small>Zeilenumbruch wird zu: &lt;br /&gt;</small></label>
          <textarea id="DANKE_TEXT" name="DANKE_TEXT" maxlength="300" rows="2" cols="30"><?PHP echo str_replace("<br />", "", $_POST['DANKE_TEXT']) ?></textarea>
        </p>
      </fieldset>
      <p id="submit"><input type="submit" name="senden" id="senden" value="nderungen speichern" /></p>
    </form>
  </body>
</html>